Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.log
Class ILogContext.DefaultLogContext

    java.lang.Object
      com.compoze.collab.log.ILogContext.DefaultLogContext

All Implemented Interfaces:
  ILogContext, java.io.Serializable

Enclosing class:
  ILogContext

public static class ILogContext.DefaultLogContext
extends java.lang.Object
implements ILogContext, java.io.Serializable

This class implements a default log context.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.compoze.collab.log.ILogContext
`ILogContext.DefaultLogContext`

Field Summary

Fields inherited from interface com.compoze.collab.log.ILogContext
`DEFAULT_CONTEXT`

Constructor Summary
`ILogContext.DefaultLogContext()`

Method Summary
`java.util.Locale` | `getAdminLocale()` Gets the current locale of the administrator.
`java.lang.String` | `getApplicationContext()` Gets the application specific context for the entry.
`java.util.Locale` | `getProgrammerLocale()` Gets the current locale of the programmer.
`java.util.Locale` | `getUserLocale()` Gets the current locale of the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ILogContext.DefaultLogContext

    public ILogContext.DefaultLogContext()

Method Detail

### getUserLocale

    public java.util.Locale getUserLocale()

  Description copied from interface: `ILogContext`
  Gets the current locale of the user.

  Specified by:
    `getUserLocale` in interface `ILogContext`
  Returns:
    the user locale

### getProgrammerLocale

    public java.util.Locale getProgrammerLocale()

  Description copied from interface: `ILogContext`
  Gets the current locale of the programmer.

  Specified by:
    `getProgrammerLocale` in interface `ILogContext`
  Returns:
    the programmer locale

### getAdminLocale

    public java.util.Locale getAdminLocale()

  Description copied from interface: `ILogContext`
  Gets the current locale of the administrator.

  Specified by:
    `getAdminLocale` in interface `ILogContext`
  Returns:
    the administrator locale

### getApplicationContext

    public java.lang.String getApplicationContext()

  Description copied from interface: `ILogContext`
  Gets the application specific context for the entry.

  Specified by:
    `getApplicationContext` in interface `ILogContext`
  Returns:
    the application specific context

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.